Desktop

For instructions on how to authenticate to use this endpoint, see API overview.

Endpoints

GET

Retrieve desktop access

Evaluate Desktop access for the selected project and organization.

Required API key scopes

llm_gateway:read

Response


Example request

GET /api/projects/:project_id/desktop/access
export POSTHOG_PERSONAL_API_KEY=[your personal api key]
curl \
-H "Authorization: Bearer $POSTHOG_PERSONAL_API_KEY" \
<ph_app_host>/api/projects/:project_id/desktop/access/

Example response

Status 200
RESPONSE
{
"allowed": true,
"reason": "startup_plan"
}
Status 503
RESPONSE
{
"detail": "string",
"error": "string",
"type": "string",
"code": "string",
"retry_token": "string",
"reason": "startup_plan",
"attr": "string",
"missing_artifact_ids": [
"string"
],
"limit_type": "burst",
"reset_at": "string",
"is_pro": true
}